## octave-linear-algebra 1.0.5

=== DESCRIPTION ===
Name: Linear-Algebra
Version: 1.0.5
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Linear Algebra.
Description: Additional linear algebra code, including general SVD and matrix functions.
Categories: Linear-Algebra
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
sinclude Makeconf

ifndef OCTAVE_FORGE
MKOCTFILE = mkoctfile
endif

DEFINES = -DHAVE_CONFIG_H
GSVD_OBJECTS = gsvd.o dbleGSVD.o CmplxGSVD.o 
GSVD_TARGET = gsvd.oct
GSVD_DEPENDS = gsvd.d dbleGSVD.d CmplxGSVD.d

OTHER_OBJECTS = outer.o GramSchmidt.o
OTHER_TARGETS = $(patsubst %.o,%.oct,$(OTHER_OBJECTS))
OTHER_DEPENDS = $(patsubst %.o,%.d,$(OTHER_OBJECTS))

OBJECTS = $(OTHER_OBJECTS) $(GSVD_OBJECTS) 
TARGETS = $(OTHER_TARGETS) $(GSVD_TARGET) 
DEPENDS = $(OTHER_DEPENDS) $(GSVD_DEPENDS) 

.PHONY: all clean count

.SUFFIXES:

.PRECIOUS: %.d %.o

all : $(TARGETS)

$(GSVD_TARGET) : $(GSVD_DEPENDS) $(GSVD_OBJECTS)
	$(MKOCTFILE) $(DEFINES) $(GSVD_OBJECTS) -o $@

ifneq (,$(DEPENDS))
  sinclude $(DEPENDS)
endif

%.d:%.cc
	$(MKOCTFILE) $(DEFINES) -M $<

%.o:%.cc
%.o:%.cc %.d
	$(MKOCTFILE) $(DEFINES) -c $<

%.o:%.f
	$(MKOCTFILE) $(DEFINES) -c $<
%.oct:%.o
	$(MKOCTFILE) $(DEFINES) $< -o $@

clean: 
	rm -f $(TARGETS) $(DEPENDS) $(OBJECTS) octave-core

count:
	wc *{.cc,.h,.f}

## octave-linear-algebra 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Linear-Algebra
-Version: 1.0.5
-Date: 2008-04-29
+Version: 1.0.7
+Date: 2009-05-03
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Linear Algebra.

## octave-linear-algebra 1.0.8

=== DESCRIPTION ===
Name: Linear-Algebra
Version: 1.0.8
Date: 2009-05-18
Author: Various Authors
Maintainer: The Octave Community
Title: Linear Algebra.
Description: Additional linear algebra code, including general SVD and matrix functions.
Categories: Linear-Algebra
Depends: octave (> 3.1.54)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-linear-algebra 2.0.0

=== DESCRIPTION ===
Name: Linear-Algebra
Version: 2.0.0
Date: 2009-05-18
Author: Various Authors
Maintainer: Jaroslav Hajek
Title: Linear Algebra.
Description: Additional linear algebra code, including general SVD and matrix functions.
Categories: Linear-Algebra
Depends: octave (>= 3.2.3)
Autoload: yes
License: GPL version 3 or later
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 GSVD_TARGET = gsvd.oct
 GSVD_DEPENDS = gsvd.d dbleGSVD.d CmplxGSVD.d
 
-OTHER_OBJECTS = outer.o GramSchmidt.o
+OTHER_OBJECTS = mgorth.o
 OTHER_TARGETS = $(patsubst %.o,%.oct,$(OTHER_OBJECTS))
 OTHER_DEPENDS = $(patsubst %.o,%.d,$(OTHER_OBJECTS))

=== debian/changelog ===
octave-linear-algebra (2.0.0-2) unstable; urgency=low

  * Upload to unstable

 -- Thomas Weber <tweber@debian.org>  Thu, 14 Apr 2011 20:57:40 +0200

octave-linear-algebra (2.0.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571850)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Thu, 02 Sep 2010 22:40:07 +0200

octave-linear-algebra (1.0.8-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Removed patch smwsolve-norm-in-test.diff, no more necessary for octave3.2
  * debian/rules: 
    + permissions of cartprod.m were fixed upstream, remove code
    + Use debian/clean for cleaning, remove code

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 06 Dec 2009 23:11:23 +0100

octave-linear-algebra (1.0.7-1) unstable; urgency=low

  * New upstream release
  * debian/patches/smwsolve-norm-in-test.diff: Add patch for making the
    test of smwsolve succeed
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/rules:
    + Include patchsys-quilt.mk
    + Fix wrong permission of script cartprod.m
  * debian/copyright: Use DEP5 URL in Format-Specification

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:01:42 +0200

octave-linear-algebra (1.0.6-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 04 Apr 2009 23:10:48 +0200

octave-linear-algebra (1.0.6-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * Modified the watch file so uscan will find a match.
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 09 Dec 2008 22:16:36 +0100

octave-linear-algebra (1.0.5-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 May 2008 10:23:28 +0200

octave-linear-algebra (1.0.4-1) unstable; urgency=low

  * Initial release (closes: #468508)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sun, 10 Feb 2008 22:13:30 +0100

=== debian/control ===
Source: octave-linear-algebra
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.8.1
Homepage: http://octave.sourceforge.net/linear-algebra
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-linear-algebra.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-linear-algebra.git

Package: octave-linear-algebra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional linear-algebra functions for Octave
 This package provides additional functions to work on linear algebra
 code in Octave, a numerical computation software. This package
 includies general singular value methods to factorize a matrix
 (bicg), function to calculate the condition numbers of eigenvalues of
 a matrix (condeig), a matrix equivalant of the Octave function name
 (funm) and trigonometric/hyperbolic functions for square matrixes.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/linear-algebra-([\d.]+)\.tar\.gz\?download

## octave-linear-algebra 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Name: Linear-Algebra
-Version: 2.0.0
-Date: 2009-05-18
+Version: 2.1.0
+Date: 2011-11-06
 Author: Various Authors
-Maintainer: Jaroslav Hajek
+Maintainer: The Octave Community
 Title: Linear Algebra.
 Description: Additional linear algebra code, including general SVD and matrix functions.
 Categories: Linear-Algebra

=== src/Makefile ===
sinclude Makeconf

ifndef OCTAVE_FORGE
MKOCTFILE = mkoctfile
endif

DEFINES = -DHAVE_CONFIG_H -Wall
GSVD_OBJECTS = gsvd.o dbleGSVD.o CmplxGSVD.o 
GSVD_TARGET = gsvd.oct
GSVD_TEST = gsvd
GSVD_DEPENDS = gsvd.d dbleGSVD.d CmplxGSVD.d

OBJECTS = $(GSVD_OBJECTS) 
TARGETS = $(GSVD_TARGET) 
DEPENDS = $(GSVD_DEPENDS) 

.PHONY: all test clean count

.SUFFIXES:

.PRECIOUS: %.d %.o

all : $(TARGETS) pgmres.oct

$(GSVD_TARGET) : $(GSVD_DEPENDS) $(GSVD_OBJECTS)
	$(MKOCTFILE) $(DEFINES) $(GSVD_OBJECTS) -o $@

$(GSVD_TEST) : $(GSVD_TARGET)

ifneq (,$(DEPENDS))
  sinclude $(DEPENDS)
endif

%.d:%.cc
	$(MKOCTFILE) $(DEFINES) -M $<

%.o:%.cc
%.o:%.cc %.d
	$(MKOCTFILE) $(DEFINES) -c $<

%.o:%.f
	$(MKOCTFILE) $(DEFINES) -c $<
%.oct:%.o
	$(MKOCTFILE) $(DEFINES) $< -o $@

%.oct: %.cc
	mkoctfile $(DEFINES) $< -o $@

.phony: test
test: $(GSVD_TEST)
	for i in $^; do echo "test $$i"; done | octave --silent

clean: 
	rm -f $(TARGETS) $(DEPENDS) $(OBJECTS) octave-core

count:
	wc *{.cc,.h,.f}

=== debian/changelog ===
octave-linear-algebra (2.1.0-2) unstable; urgency=low

  * debian/copyright: use final URL for machine-readable copyright format 1.0
  * Bump Standards-Version to 3.9.3, no changes needed
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0 in order to build against Octave 3.6

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 10 Mar 2012 22:10:17 +0100

octave-linear-algebra (2.1.0-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 2.1.0
  * debian/rules: bump to debhelper compat level 8
  * Remove obsolete README.source
  * Bump to Standards-Version 3.9.2, no changes needed
  * Add myself to Uploaders
  * debian/copyright: update according to upstream changes and latest DEP5
  * debian/check.m: remove obsolete file (gsvd tests are now in .cc source)

 -- Thomas Weber <tweber@debian.org>  Mon, 21 Nov 2011 22:47:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.8.1
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/linear-algebra
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-linear-algebra.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-linear-algebra.git

## octave-linear-algebra 2.2.0

=== DESCRIPTION ===
Name: Linear-algebra
Version: 2.2.0
Date: 2012-21-05
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Linear algebra.
Description: Additional linear algebra code, including general SVD and matrix functions.
Categories: Linear algebra
Depends: octave (>= 3.2.3), general (>= 1.3.0)
Autoload: no
License: GPLv3+, LGPLv3+, FreeBSD
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 ifndef OCTAVE_FORGE
 MKOCTFILE = mkoctfile
 endif
+
+LAPACK_LIBS := $(shell mkoctfile -p LAPACK_LIBS)
 
 DEFINES = -DHAVE_CONFIG_H -Wall
 GSVD_OBJECTS = gsvd.o dbleGSVD.o CmplxGSVD.o 
@@ -23,7 +25,7 @@
 all : $(TARGETS) pgmres.oct
 
 $(GSVD_TARGET) : $(GSVD_DEPENDS) $(GSVD_OBJECTS)
-	$(MKOCTFILE) $(DEFINES) $(GSVD_OBJECTS) -o $@
+	$(MKOCTFILE) $(DEFINES) $(GSVD_OBJECTS) -o $@ ${LAPACK_LIBS}
 
 $(GSVD_TEST) : $(GSVD_TARGET)
 
@@ -44,7 +46,7 @@
 	$(MKOCTFILE) $(DEFINES) $< -o $@
 
 %.oct: %.cc
-	mkoctfile $(DEFINES) $< -o $@
+	mkoctfile $(DEFINES) $< -o $@ ${LAPACK_LIBS}
 
 .phony: test
 test: $(GSVD_TEST)

=== debian/changelog ===
octave-linear-algebra (2.2.0-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:34 +0000

octave-linear-algebra (2.2.0-1) unstable; urgency=low

  * Imported Upstream version 2.2.0
  * autoload-yes.patch: new patch
  * fix-tests.patch: new patch
  * Add Build-Depends on octave-general >= 1.3.0
  * debian/copyright: reflect upstream changes
  * debian/watch: use SourceForge redirector
  * Add lintian overrides for false positives on hardening build flags

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 21 May 2012 21:44:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
+               octave-general (>= 1.3.0)
 Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/linear-algebra
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-linear-algebra.git

=== debian/watch ===
version=3
http://sf.net/octave/linear-algebra-(.+)\.tar\.gz

## octave-linear-algebra 2.2.2

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,14 @@
 MKOCTFILE = mkoctfile
 endif
 
-LAPACK_LIBS := $(shell mkoctfile -p LAPACK_LIBS)
+ifndef LAPACK_LIBS
+LAPACK_LIBS := $(shell $(MKOCTFILE) -p LAPACK_LIBS)
+endif
+ifndef BLAS_LIBS
+BLAS_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS)
+endif
+LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS) $(LAPACK_LIBS) $(BLAS_LIBS)
+export LFLAGS
 
 DEFINES = -DHAVE_CONFIG_H -Wall
 GSVD_OBJECTS = gsvd.o dbleGSVD.o CmplxGSVD.o

=== debian/changelog ===
octave-linear-algebra (2.2.2-7) unstable; urgency=medium

  * Team upload

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:24 -0200

octave-linear-algebra (2.2.2-6) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/p/pgmres-unit-test-deterministic.patch: Add patch (Closes: #902382)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Jun 2018 16:42:04 +0200

octave-linear-algebra (2.2.2-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * remove-condeig.patch: new patch taken from upstream
  * Fix FTBFS against Octave 4.4, using several upstream patches
    + F77_INT.patch
    + octave-config.patch
    + remove-autotools.patch

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Jun 2018 22:00:35 +0200

octave-linear-algebra (2.2.2-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:32:50 -0200

octave-linear-algebra (2.2.2-3) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * d/control: use cgit instead of gitweb in Vcs-Browser.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:44 -0200

octave-linear-algebra (2.2.2-2) unstable; urgency=medium

  * Team upload

  * d/o-l-a.lintian-overrides: Drop override for no-fortify hardening
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/s/options: New file (ignore files changed by the build process)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Aug 2016 14:38:09 -0300

octave-linear-algebra (2.2.2-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.2.2
  * d/p/fix-tests.patch: Drop patch (applied upstream)
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump build-dependency on octave-pkg-dev, for proper unit testing
  * Drop build-dependency on octave-general

  [ Sébastien Villemot ]
  * mkoctfile-depends.patch: remove patch.
    It is no longer needed since #770192 is now fixed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 21:17:36 +0200

octave-linear-algebra (2.2.0-3) unstable; urgency=medium

  * mkoctfile-depends.patch: new patch, drops the call to mkoctfile -M.
    Should fix FTBFS on armel, armhf, powerpc, ppc64el, s390x.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2014 09:44:38 +0200

octave-linear-algebra (2.2.0-2) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Uploaders: remove Thomas Weber and Rafael Laboissiere.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 18:15:26 +0200

=== debian/control ===
Source: octave-linear-algebra
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/linear-algebra/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-linear-algebra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional linear-algebra functions for Octave
 This package provides additional functions to work on linear algebra
 code in Octave, a numerical computation software. This package
 includies general singular value methods to factorize a matrix
 (bicg), function to calculate the condition numbers of eigenvalues of
 a matrix (condeig), a matrix equivalent of the Octave function name
 (funm) and trigonometric/hyperbolic functions for square matrixes.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/linear-algebra-(.+)\.tar\.gz

## octave-linear-algebra 2.2.3

=== debian/changelog ===
octave-linear-algebra (2.2.3-5) unstable; urgency=medium

  * Team upload

  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 11:46:33 -0300

octave-linear-algebra (2.2.3-4) unstable; urgency=medium

  * Team upload

  * d/copyright: Accentuate my family name
  * d/copyright: Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:27:14 -0300

octave-linear-algebra (2.2.3-3) unstable; urgency=medium

  * Team upload

  * d/octave-linear-algebra.lintian-overrides: Drop obsolete override

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 09:21:06 -0300

octave-linear-algebra (2.2.3-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:19:09 -0300

octave-linear-algebra (2.2.3-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.2.3
  * d/p/remove-condeig.patch: Drop patch (applied upstream)
  * d/p/octave-config.patch: Drop patch (removed upstream)
  * d/p/remove-autotools.patch: Drop patch (applied upstream)
  * d/p/F77_INT.patch: Drop patch (removed upstream)
  * d/p/pgmres-unit-test-deterministic.patch: Drop patch (removed upstream)
  * d/p/errwarn-instead-of-gripes.patch: Drop patch (removed upstream)
  * d/copyright: Reflect upstream changes
  * d/control: Declare Architecture: all

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 15 Nov 2019 04:23:57 -0300

octave-linear-algebra (2.2.2-9) unstable; urgency=medium

  * Team upload

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into the
    package's list of dependencies

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 04:45:47 -0300

octave-linear-algebra (2.2.2-8) unstable; urgency=medium

  * Team upload

  * d/p/errwarn-instead-of-gripes.patch: New patch.
    This patch allows the compilation against Octave 5.1.
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Oct 2019 08:15:48 -0300

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave
-Standards-Version: 4.3.0
-Homepage: https://octave.sourceforge.io/linear-algebra/
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/linear-algebra/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-linear-algebra
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Description: additional linear-algebra functions for Octave
  This package provides additional functions to work on linear algebra

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/linear-algebra/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/linear-algebra-@ANY_VERSION@@ARCHIVE_EXT@

## octave-linear-algebra 2.2.4

=== DESCRIPTION ===
Name: linear-algebra
Version: 2.2.4
Date: 2026-02-22
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Linear algebra.
Description: Additional linear algebra code, including matrix functions.
Categories: Linear algebra
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+, LGPLv3+, FreeBSD
Url: http://octave.sf.net

=== Makefile ===
## Copyright 2015-2026 Carnë Draug
## Copyright 2015-2026 Oliver Heimlich
## Copyright 2017-2026 Julien Bect <jbect@users.sf.net>
## Copyright 2017-2026 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --no-history --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
disableVM    = --eval 'try; __vm_enable__ (0); end_try_catch; '
## Uncomment this for package documentation.
# html_options = --eval 'options = get_html_options ("octave-forge");' \
#                --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
        $(disableVM)                       \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== doc/Makefile ===
## Makefile to simplify Octave Forge package maintenance tasks
##
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2015-2019 Mike Miller
## Copyright 2024-2026 John Donoghue
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

MKOCTFILE ?= mkoctfile
OCTAVE    ?= octave
SED       := sed
SHA256SUM := sha256sum
TAR       := tar
MAKEINFO  ?= makeinfo
MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 

# work out a possible help generator
ifeq ($(strip $(QHELPGENERATOR)),)
  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qhelpgenerator-qt5
  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qcollectiongenerator-qt5
  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
  # v4 doesnt work
  #  QHELPGENERATOR = qhelpgenerator -qt5
  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qcollectiongenerator -qt5
  else
    QHELPGENERATOR = true
  endif
endif

PACKAGE := $(shell $(SED) -n -e 's/^Name: *\(\w\+\)/\1/p' ../DESCRIPTION)
VERSION := $(shell $(SED) -n -e 's/^Version: *\(\w\+\)/\1/p' ../DESCRIPTION)
DATE := $(shell $(SED) -n -e 's/^Date: *\(\w\+\)/\1/p' ../DESCRIPTION)
DEPENDS := $(shell $(SED) -n -e 's/^Depends[^,]*, *\(.*\)/\1/p' ../DESCRIPTION | $(SED) 's/ *([^()]*)//g; s/ *, */ /g')

BASEDIR ?= $(realpath $(CURDIR))

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

RELEASE_DIR     := $(PACKAGE)-$(VERSION)
RELEASE_TARBALL := $(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        := $(PACKAGE)-html
HTML_TARBALL    := $(PACKAGE)-html.tar.gz

.PHONY: doc clean maintainer-clean
.PHONY: build-docs cleandocs

help:
	@echo "Targets:"
	@echo "   doc              - Build Texinfo package manual"
	@echo
	@echo "   clean            - Remove releases, html documentation, and oct files"
	@echo "   maintainer-clean - Additionally remove all generated files"

doc: build-docs

version.texi: $(BASEDIR)/../.hg/dirstate
	@echo Generating $@
	@echo "@c autogenerated from Makefile" > $@
	@echo "@set VERSION $(VERSION)" >> $@
	@echo "@set PACKAGE $(PACKAGE)" >> $@
	@echo "@set DATE $(DATE)" >> $@

functions.texi: $(BASEDIR)/../.hg/dirstate
	./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi

$(PACKAGE).qhc: $(PACKAGE).texi functions.texi version.texi
	# extract html
	SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css $(MAKEINFO_HTML_OPTIONS) $(PACKAGE).texi

ifeq ($(QHELPGENERATOR),true)
	$(warning No QHELPGENERATOR ... skipping QT doc build)
else
	# try also create qch file if can
	./mkqhcp.py $(PACKAGE) && $(QHELPGENERATOR) $(PACKAGE).qhcp -o $(PACKAGE).qhc
	$(RM) -f $(PACKAGE).qhcp $(PACKAGE).qhp $(PACKAGE).html
endif

$(PACKAGE).info: $(PACKAGE).texi functions.texi version.texi
	$(MAKEINFO) $(PACKAGE).texi

build-docs: $(PACKAGE).qhc  $(PACKAGE).info

clean-docs:
	$(RM) -f $(PACKAGE).html
	$(RM) -f $(PACKAGE).qhc
	$(RM) -f $(PACKAGE).qch
	$(RM) -f $(PACKAGE).info
	$(RM) -f functions.texi
	$(RM) -f version.texi

clean: clean-docs
	-rm -rf $(RELEASE_DIR) $(RELEASE_TARBALL) $(HTML_TARBALL) $(HTML_DIR)
	cd src && $(MAKE) $@

maintainer-clean: clean

=== debian/changelog ===
octave-linear-algebra (2.2.4-2) unstable; urgency=medium

  * d/rules: Exclude unit tests from funm.m when building for Octave 11

 -- Rafael Laboissière <rafael@debian.org>  Fri, 27 Feb 2026 06:37:16 +0000

octave-linear-algebra (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)
    + Add myself to the Uploaders list
    + Build-depend on python3-minimal
  * d/clean: Drop obsolete file
  * Build the documentation (info and QT help forms)
    + d/rules: Add commands for building and cleaning up the documentation
    + d/control: Build-depend on qt6-documentation-tools
    + d/octave-linear-algebra.info: New file
    + d/patches/build-doc-without-hg.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Feb 2026 08:41:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: octave-linear-algebra
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
+           Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-octave
-Standards-Version: 4.7.2
+               dh-sequence-octave,
+               python3-minimal <!nodoc>,
+               qt6-documentation-tools <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/linear-algebra/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Set SOURCE_DATE_EPOCH
include /usr/share/dpkg/default.mk
HG_VARS = "HG= HG_CMD= HG_ID= HG_TIMESTAMP=$(SOURCE_DATE_EPOCH)"

export QHELPGENERATOR = /usr/lib/qt6/libexec/qhelpgenerator

# Exclude unit test from funm.m for Octave >= 11.1.0
OCTAVE_VERSION=$(shell octave-cli --help | head -n1 | sed 's/.*version//')
ifeq (true,$(shell dpkg --compare-versions $(OCTAVE_VERSION) ge 11.1.0 && echo true))
export DH_OCTAVE_EXCLUDE_TEST = funm.m
endif

foo:
	echo $$DH_OCTAVE_EXCLUDE_TEST

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	make -C doc doc $(HG_VARS)
endif

execute_after_dh_clean:
	make -C doc clean-docs $(HG_VARS)
